Summary: Utility for managing filesystem extended attributes
Name: attr
Version: 2.0.8
Release: alt1
Source0: %name-%version.src.tar.bz2
Patch0: attr-2.0.8-builddefs.patch
Patch1: attr-errno.h.patch
License: GPL
Group: System/Kernel and hardware
Url: http://oss.sgi.com/projects/xfs/

# Automatically added by buildreq on Fri Dec 27 2002
BuildRequires: XFree86-devel man

%description
An *experimental* command (attr) to manipulate extended attributes
under Linux.

%package -n libattr
Summary: Main library for %lib_name_orig
Group: System/Libraries

%description -n libattr
This package contains the library needed to run programs dynamically
linked with %lib_name_orig.

%package -n libattr-devel
Summary: Extended attribute static libraries and headers
Group: Development/C
Requires: libattr = %version-%release

%description -n libattr-devel
libattr-devel contains the libraries and header files needed to
develop programs which make use of extended attributes.
This is an *experimental* interface, currently only XFS is
supported, and the interface may change.

You should install libattr-devel if you want to develop programs
which make use of extended attributes. If you install libattr-devel,
you'll also want to install attr.

%package -n libattr-devel-static
Summary: Extended attribute static libraries and headers
Group: Development/C
Requires: libattr-devel = %version-%release

%description -n libattr-devel-static
libattr-devel-static contains the static libraries needed to
develop programs which make use of extended attributes.
This is an *experimental* interface, currently only XFS is
supported, and the interface may change.

You should install libattr-devel-static if you want to develop programs
which make use of extended attributes. If you install libattr-devel-static,
you'll also want to install attr.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
export DEBUG="-DNDEBUG"
autoconf
%configure
%make_build

%install
make install DIST_ROOT=%buildroot/
make install-lib DIST_ROOT=%buildroot/
make install-dev DIST_ROOT=%buildroot/

# Remove unneeded symlinks
rm -f $RPM_BUILD_ROOT/lib/*.*a

%post -n libattr -p /sbin/ldconfig
%postun -n libattr -p /sbin/ldconfig

%files
%doc doc/CHANGES.gz README
%_bindir/*
%_mandir/man[15]/*

%files -n libattr
%attr(0755,root,root) /lib/*.so.*

%files -n libattr-devel
/lib/*.so
%_libdir/*.so
%_mandir/man[23]/*
%_includedir/*
%_libdir/*.la

%files -n libattr-devel-static
%_libdir/*.a

%changelog
* Fri Dec 27 2002 Konstantin Volckov <goldhead@altlinux.ru> 2.0.8-alt1
- 2.0.8
- Added buildrequires

* Wed Apr 10 2002 Konstantin Volckov <goldhead@altlinux.ru> 2.0.5-alt0.1cvs
- 2.0.5

* Wed Nov 21 2001 Konstantin Volckov <goldhead@altlinux.ru> 1.1.3-alt3
- Rebuilt with libxfs 1.3.13

* Wed Oct 31 2001 Konstantin Volckov <goldhead@altlinux.ru> 1.1.3-alt2
- Rebuilt with libxfs 1.3.7

* Thu Sep 20 2001 Konstantin Volckov <goldhead@altlinux.ru> 1.1.3-alt1
- First build for Sisyphus

* Fri Sep  7 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.1.3-2mdk
- Fix provides.

* Fri Sep  7 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.1.3-1mdk
- Rework the .spec.
- Make libs in subpackage.
- 1.1.3.

* Wed May  2 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.1-1mdk
- First attempt.

# end of file
